rte_eth_txconf(3)

NAME
rte_eth_txconf

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

struct rte_eth_thresh tx_thresh
uint16_t tx_rs_thresh
uint16_t tx_free_thresh
uint8_t tx_deferred_start
uint64_t offloads
uint64_t reserved_64s [2]
void * reserved_ptrs [2]

Detailed Description

A structure used to configure a Tx ring of an Ethernet port.

Definition at line 1214 of file rte_ethdev.h.

Field Documentation

  struct rte_eth_thresh tx_thresh
Tx ring threshold registers.

Definition at line 1215 of file rte_ethdev.h.

  uint16_t tx_rs_thresh
Drives the setting of RS bit on TXDs.

Definition at line 1216 of file rte_ethdev.h.

  uint16_t tx_free_thresh
Start freeing Tx buffers if there are less free descriptors than this value.

Definition at line 1217 of file rte_ethdev.h.

  uint8_t tx_deferred_start
Do not start queue with rte_eth_dev_start().

Definition at line 1220 of file rte_ethdev.h.

  uint64_t offloads
Per-queue Tx offloads to be set using RTE_ETH_TX_OFFLOAD_* flags. Only offloads set on tx_queue_offload_capa or tx_offload_capa fields on rte_eth_dev_info structure are allowed to be set.

Definition at line 1226 of file rte_ethdev.h.

  uint64_t reserved_64s[2]
Reserved for future fields

Definition at line 1228 of file rte_ethdev.h.

  void* reserved_ptrs[2]
Reserved for future fields

Definition at line 1229 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.